<?php

namespace Tangible\LifterElements\DynamicTags\Courses;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 */
class Audio extends \Elementor\Core\DynamicTags\Tag {
  

  /**
   * Slug of the dynamic tag
   * 
   * @return string
   */
  public function get_name() {
    return 'course-audio';
  }


  /**
   * Title of the dynamic tag
   *  
   * @return string
   */
  public function get_title() {
    return __( 'Course Audio', 'lifter-elements' );
  }


  /**
   * @see https://developers.elementor.com/dynamic-tags/
   * 
   * @return string
   */
  public function get_group() {
    return 'le-course';
  }


  /**
   * @see https://developers.elementor.com/dynamic-tags/
   * 
   * @return array
   */
  public function get_categories() {
    return array( \Elementor\Modules\DynamicTags\Module::URL_CATEGORY );
  }


  /**
   * Output result
   * 
   * @return string
   */
  public function render() {
    echo lift\course_audio_url();
  }
}
