<?php

namespace Tangible\LifterElements\DynamicTags\Courses;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 */
class CourseProgress extends \Elementor\Core\DynamicTags\Tag {
	

	/**
	 * Slug of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_name() {
		return 'course-progress';
	}


	/**
	 * Title of the dynamic tag
	 *  
	 * @return string
	 */
	public function get_title() {
		return __( 'Course Progress', 'lifter-elements' );
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return string
	 */
	public function get_group() {
		return 'le-course';
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return array
	 */
	public function get_categories() {
		return array( \Elementor\Modules\DynamicTags\Module::TEXT_CATEGORY );
	}


	/**
	 * @see https://developers.elementor.com/elementor-controls/
	 */
	protected function register_controls() {

		$this->add_control(
			'type',
			[
				'label'   => __( 'Type', 'lifter-elements' ),
			  'type' 		=> \Elementor\Controls_Manager::SELECT,
			  'default' => 'percentage',
				'options' => [
					'percentage'=> __( 'Percentage', 'lifter-elements' ),
					'steps' 		=> __( 'Steps', 'lifter-elements' ),
				]
			]
		);
	}


	/**
	 * Display the selected key after the name of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_panel_template_setting_key() {
		return 'type';
	}


	/**
	 * Output result
	 * 
	 * @return string
	 */
	public function render() {

		$type = $this->get_settings( 'type' );
		
		if( $type === 'percentage' ) {
			echo lift\course_progress_percent();
		}
		else if( $type === 'steps' ) {
			echo lift\course_lessons_completed_number() . ' / ' . lift\course_lessons_number();
		}
		
	}
}
