<?php

namespace Tangible\LifterElements\DynamicTags\Courses;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 */
class FeaturedImage extends \Elementor\Core\DynamicTags\Data_Tag {
	

	/**
	 * Sluf of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_name() {
		return 'course-featured-image';
	}


	/**
	 * Title of the dynamic tag
	 *  
	 * @return string
	 */
	public function get_title() {
		return __( 'Course Featured Image', 'lifter-elements' );
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return string
	 */
	public function get_group() {
		return 'le-course';
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return array
	 */
	public function get_categories() {
		return array( \Elementor\Modules\DynamicTags\Module::IMAGE_CATEGORY );
	}


	/**
	 * @see https://developers.elementor.com/elementor-controls/
	 */
	protected function register_controls() {

	}


	/**
	 * Output result
	 * 
	 * @return string
	 */
	public function get_value( array $options = [] ) {
		return [ 'id' => null, 'url' => lift\course_featured_image() ];
	}
}
