<?php

namespace Tangible\LifterElements\DynamicTags\Courses;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 */
class PlanPrice extends \Elementor\Core\DynamicTags\Tag {
	

	/**
	 * Sluf of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_name() {
		return 'course-plan-price';
	}


	/**
	 * Title of the dynamic tag
	 *  
	 * @return string
	 */
	public function get_title() {
		return __( 'Course First Plan Price', 'lifter-elements' );
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return string
	 */
	public function get_group() {
		return 'le-course';
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return array
	 */
	public function get_categories() {
		return array( \Elementor\Modules\DynamicTags\Module::TEXT_CATEGORY );
	}


	/**
	 * @see https://developers.elementor.com/elementor-controls/
	 */
	protected function register_controls() {

	}


	/**
	 * Output result
	 * 
	 * @return string
	 */
	public function render() {
		echo lift\course_plan_price();
	}
}
