<?php

namespace Tangible\LifterElements\DynamicTags\Lessons;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 */
class BackToCourse extends \Elementor\Core\DynamicTags\Tag {
	

	/**
	 * Slug of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_name() {
		return 'lessons-back-to-course';
	}


	/**
	 * Title of the dynamic tag
	 *  
	 * @return string
	 */
	public function get_title() {
		return __( 'Course URL', 'lifter-elements' );
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return string
	 */
	public function get_group() {
		return 'le-lesson';
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return array
	 */
	public function get_categories() {
		return array( \Elementor\Modules\DynamicTags\Module::URL_CATEGORY );
	}


	/**
	 * Output result
	 * 
	 * @return string
	 */
	public function render() {
		echo lift\back_to_course_url();
	}
}
