<?php

namespace Tangible\LifterElements\DynamicTags\Lessons;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 */
class Content extends \Elementor\Core\DynamicTags\Tag {
	

	/**
	 * Sluf of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_name() {
		return 'lesson-content';
	}


	/**
	 * Title of the dynamic tag
	 *  
	 * @return string
	 */
	public function get_title() {
		return __( 'Lesson Content', 'lifter-elements' );
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return string
	 */
	public function get_group() {
		return 'le-lesson';
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return array
	 */
	public function get_categories() {
		return array( \Elementor\Modules\DynamicTags\Module::TEXT_CATEGORY );
	}


	/**
	 * @see https://developers.elementor.com/elementor-controls/
	 */
	protected function register_controls() {

	}


	/**
	 * Output result
	 * 
	 * @return string
	 */
	public function render() {
		echo lift\lesson_content();
	}
}
