<?php

namespace Tangible\LifterElements\DynamicTags\Sections;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * @see https://developers.elementor.com/dynamic-tags/
 * @see https://lifterlms.com/docs/lifterlms-database-description/#course-data
 */
class Title extends \Elementor\Core\DynamicTags\Tag {
	

	/**
	 * Sluf of the dynamic tag
	 * 
	 * @return string
	 */
	public function get_name() {
		return 'section-title';
	}


	/**
	 * Title of the dynamic tag
	 *  
	 * @return string
	 */
	public function get_title() {
		return __( 'Section Title', 'lifter-elements' );
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return string
	 */
	public function get_group() {
		return 'le-section';
	}


	/**
	 * @see https://developers.elementor.com/dynamic-tags/
	 * 
	 * @return array
	 */
	public function get_categories() {
		return array( \Elementor\Modules\DynamicTags\Module::TEXT_CATEGORY );
	}


	/**
	 * @see https://developers.elementor.com/elementor-controls/
	 */
	protected function register_controls() {

	}


	/**
	 * Output result
	 * 
	 * @return string
	 */
	public function render() {
		echo lift\section_title();
	}
}
