<?php

namespace Tangible\LifterElements\Groups\ElementorConditionalUI;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * Define fields
 */
add_filter( 'le-conditional-fields', function( $fields ) {

  $fields []= [
    'name'      => 'lesson_drip_date',
    'label'     => __( 'Lesson Drip Date', 'lifter-elements' ),
		'values'    => [
			[
				'type'           => 'select',
				'before_operand' => true,
				'options'        => [
					'current_lesson' => [
						'label'   => __( 'for current lesson', 'lifter-elements' ),
						'name'    => 'current',
					],
					'next_lesson' => [
						'label'   => __( 'for next lesson', 'lifter-elements' ),
						'name'    => 'next',
					],
				],
			],
		],
    'operands'  => [
      [
        'name'  => 'is',
        'label' => __( 'is', 'lifter-elements' ),
      ],
    ],
    'values_2'    => [
      [
        'name'  => 'past',
        'label' => __( 'past', 'lifter-elements' )
      ],
      [
        'name'  => 'future',
        'label' => __( 'future', 'lifter-elements' )
      ],
    ],
  ];

  return $fields;
}, 10, 1 );


/**
 * Evaluate visibility
 */
add_filter( 'le-conditional-widget-visibility', function( $visibility, $rule ) {

	if (!isset($rule['field']) || $rule['field'] !== 'lesson_drip_date') return $visibility;

	$operand = $rule['operand'];
	$value = $rule['value'];
	$value_2 = $rule['value_2'];

  $which_lesson = $value;
  if ( !$which_lesson ) return $visibility;

	$lesson = lift\lesson_lifter();
  if ( !$lesson )return $visibility;

  $next_lesson =lift\lesson_lifter(  $lesson -> get_next_lesson() );
  if ( !$next_lesson ) return $visibility;

	$lesson = ( $which_lesson === 'current' ) ? $lesson : $next_lesson;

	$expired = lift\is_lesson_drip_past( $lesson );

	// For Users who can bypass restrictions in LifterLMS settings it is always visible(true)
	$visible_past   = ( !llms_can_user_bypass_restrictions() ) ?  $expired : true;
	$visible_future = ( !llms_can_user_bypass_restrictions() ) ? !$expired : true;

  switch( $value_2 ) {
    case 'past':
      $visibility = $visible_past;
    break;
    case 'future':
      $visibility = $visible_future;
    break;
  }

  return $visibility;
}, 10, 2 );
