<?php

namespace Tangible\LifterElements\Groups\ElementorConditionalUI;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * Define fields
 */
add_filter( 'le-conditional-fields', function( $fields ) {
 
  $fields []= [ 
    'name'      => 'user_is_enrolled', 
    'label'     => __( 'User enrollment status', 'lifter-elements' ),
    'operands'  => [
      [ 
        'name'  => 'is', 
        'label' => __( 'is', 'lifter-elements' ),  
      ],
      [ 
        'name'  => 'is_not', 
        'label' => __( 'is not', 'lifter-elements' )
      ],
    ],
    'values' => [
      [
        'type'    => 'select',
        'options' => [
          'current_course' => 
          [
            'label' => __( 'Enrolled in current course', 'lifter-elements' ), 
            'name'  => 'current_course',
          ],
          'membership' => 
          [
            'label' => __( 'Enrolled in membership', 'lifter-elements' ),
            'name'  => 'membership',
          ],
        ],
      ],
    ],
    'values_2' => [
      [ 
        'type'           => 'select',
        'options'        => membership_options(),
        'before_operand' => false,
        'visibility'  => [
          [
            'field'   => 'values',
            'value'   => ['membership'],
          ]
        ] 
      ],
    ],
  ]; 

  return $fields;
}, 10, 1 );


/**
 * Evaluate visibility
 */
add_filter( 'le-conditional-widget-visibility', function( $visibility, $rule ) {

  if( !isset($rule['field']) || $rule['field'] !== 'user_is_enrolled' ) return $visibility;

  switch( $rule['value'] ) {
    
    case 'current_course':
      return $rule['operand'] === 'is' ? 
        lift\user_course_is_enrolled() : 
        !lift\user_course_is_enrolled();
      break;
    
    case 'membership':
      $membership_id = isset($rule['value_2']) ? (int) $rule['value_2'] : 0;
      return $rule['operand'] === 'is' ? 
        lift\user_membership_is_enrolled( $membership_id ) : 
        !lift\user_membership_is_enrolled( $membership_id );
      break;

    default:
      return $rule['operand'] === 'is' ? 
        lift\user_course_is_enrolled() : 
        !lift\user_course_is_enrolled();
      break;
  }
}, 10, 2 );
