<?php

namespace Tangible\LifterElements\Groups\ElementorConditionalUI;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * Return the list of all the courses formated for the select field
 * 
 * @return     array
 */
function course_options() {

  $courses = lift\courses();
  $no_result[0] = [
    'name'  => '',
    'label' => __( 'No courses', 'lifter-elements' ),
  ]; 

  if( empty($courses) ) return $no_result;

  $response = array();
  foreach( $courses as $course ) {
    $response[$course->ID] = [
      'name'  => $course->ID,
      'label' => $course->post_title
    ];
  }
  
  return !empty($response) ? $response : $no_result;
} 


/**
 * Return the list of all the lessons formated for the select field
 *
 * @return     array
 */
function lessons_options() {

  $lessons = lift\lessons();
  $no_result[0] = [
    'name'  => '',
    'label' => __( 'No lessons', 'lifter-elements' ),
  ]; 

  if( empty($lessons) ) return $no_result;

  $response = array();
  foreach( $lessons as $lesson ) {
    $response[$lesson->ID] = [
      'name'  => $lesson->ID,
      'label' => $lesson->post_title
    ];
  }

  return !empty($response) ? $response : $no_result;
} 


/**
 * Return the list of all the courses formated for the select field
 * 
 * @return     array
 */
function membership_options() {

  $memberships = lift\memberships();
  $no_result[0] = [
    'name'  => '',
    'label' => __( 'No memberships', 'lifter-elements' ),
  ]; 

  if( empty($memberships) ) return $no_result;

  $response = array();
  foreach( $memberships as $membership ) {
    $response[$membership->ID] = [
      'name'  => $membership->ID,
      'label' => $membership->post_title
    ];
  }
  
  return !empty($response) ? $response : $no_result;
} 
