<?php

namespace Tangible\LifterElements\Groups\ElementorConditionalUI;

defined( 'ABSPATH' ) or die();

use \Tangible\ElementLogic as element_logic;


// Includes helpers
include __DIR__ . '/helpers.php';

// Include all the contions
include __DIR__ . '/conditions/index.php';

// Get the fields from all the conditions  for the UI
$fields = apply_filters( 'le-conditional-fields', array() );


/**
 * Callback for evaluating the visibility of a widget
 *
 * @param      array  $rule   The visibility rule
 *
 * @return     array 
 */
function evaluate_rule( $rule ) {
  return apply_filters( 'le-conditional-widget-visibility', true, $rule );
}
$callback = __NAMESPACE__.'\evaluate_rule'; 


/**
 * Add the fields and the callbacks to the element-logic-module
 * 
 * @see https://bitbucket.org/tangibleinc/element-logic-module/
 */
element_logic\add_fields( $fields );
element_logic\add_callback( $callback );
