<?php 

defined( 'ABSPATH' ) or die( 'Nothing to see here' ); 

use BetterLifter as lift;
use Tangible\LifterElements\Utils as utils;

use Elementor\Utils as elementor;

global $post, $wp_query;

/**
 * Needed to get correct value from acf; restore at the end of the loop
 * 
 * @see get_tag_value_field() /elementor-pro/modules/dynamic-tags/acf/module.php
 */
$prev = get_queried_object();
$wp_query->queried_object = $post; 
 
$settings = (array) apply_filters( 'le-course-loop-template', [] ); 

?>

<li <?php post_class( 'llms-loop-item' ); ?>>
	<div class="llms-loop-item-content le-course-item-loop ">

  	<?php foreach( $settings['template_items'] as $item ):

      $element_class = utils\snakecase_to_kebabcase( $item['element_type'] );
      $item_classes = 'le-course-' . $element_class . '-loop';
      $item_classes .= ' le-course-item-' . $item['_id']; 
      $item_classes .= ' ' . $item['element_classes'];
      $item_classes = esc_attr($item_classes);
      
      switch( $item['element_type'] ) {
  			
  			case 'video': ?>
  				<div class="le-course-featured-loop <?= $item_classes ?>">
    				<?php if( 'course' === $post->post_type ) {
    					$course = llms_get_post( $post );
    					if( 'yes' === $course->get( 'tile_featured_video' ) && $course->get( 'video_embed' ) ) {
    						$video = $course->get_video();
    						if( $video ) echo $video;
    					}			
    				} ?>
            <?php if( !isset($video) || !$video ): ?>
              <?php if( llms_placeholder_img_src() && $item['is_fallback'] === 'yes' ): ?>
                <?= llms_placeholder_img(); ?>
              <?php endif ?>
            <?php endif ?>
  				</div>
  			<?php break;
  			
  			case 'image':  ?>
    			<div class="le-course-featured-loop <?= $item_classes ?>">

            <?php if( $item['is_image_link'] === 'yes' ): ?>
              <a href="<?= $item['element_link_destination'] !== 'course_page' ? lift\continue_url() : get_the_permalink() ?> ">
            <?php endif; ?>
            
              <?php if($item['image_type'] === 'custom' ): ?>
                <?= \wp_get_attachment_image( $item['custom_image']['id'], 'full' ) ?>
              <?php else: ?>
        				<?php if( has_post_thumbnail( $post->ID ) ): ?>
        					<?= llms_featured_img( $post->ID, 'full' ) ?>
        			  <?php elseif( llms_placeholder_img_src() && $item['is_fallback'] === 'yes' ): ?>
        					<?= llms_placeholder_img(); ?>
                <?php endif ?>
            	<?php endif ?>

            <?php if( $item['is_image_link'] === 'yes' ): ?>
              </a>
            <?php endif; ?>

    			</div>
  			<?php break;

  			case 'video_or_image': ?>
  				<div class="le-course-featured-loop <?= $item_classes ?>">
    				<?php if( 'course' === $post->post_type ) {
    					$course = llms_get_post( $post );
    					if( 'yes' === $course->get( 'tile_featured_video' ) && $course->get( 'video_embed' ) ) {
    						$video = $course->get_video();
    						if( $video ) echo $video;
    					}			
    				} ?>

    				<?php if( !isset($video) || !$video ): ?>

              <?php if( !has_post_thumbnail($post->ID) && (!llms_placeholder_img_src() || $item['is_fallback'] !== 'yes') ): ?>                
  				      </div>
                <?php break; ?>
              <?php endif; ?>

              <?php if( $item['is_image_link'] === 'yes' ): ?>
                <a href="<?= $item['element_link_destination'] !== 'course_page' ? lift\continue_url() : get_the_permalink() ?> ">
              <?php endif; ?>
            
              <!-- Fallback if no vidéo -->
    					<?php if( has_post_thumbnail( $post->ID ) ): ?>
                <?= llms_featured_img( $post->ID, 'full' ) ?>
               <?php elseif( llms_placeholder_img_src() && $item['is_fallback'] === 'yes' ): ?>
                <?= llms_placeholder_img(); ?>
              <?php endif ?>

              <?php if( $item['is_image_link'] === 'yes' ): ?>
                </a>
              <?php endif; ?>

    				<?php endif; ?>
  				</div>
  			<?php break;

  			case 'title': ?>
  				<div class="<?= $item_classes ?> llms-loop-title">
  				  <?php if( $item['element_title_link'] === 'yes' ): ?> 
  					  <a href="<?= get_the_permalink() ?>">
  				  <?php endif; ?>
  				  <<?= elementor::validate_html_tag($item['element_title_tag']) ?> class="le-course-title-loop-text">
              <?= get_the_title() ?>
            </<?= elementor::validate_html_tag($item['element_title_tag']) ?>>
  				  <?php if( $item['element_title_link'] === 'yes' ): ?>
  					  </a>
  				  <?php endif; ?>
  				</div>
  			<?php break;

  			case 'link':
  				$link_button = $item['element_link_style'] === 'button' ? true : false;
  				
          $link_text = $item['element_link_is_custom'] === 'yes' ? 
            esc_html($item['element_link_custom_text']) : 
            get_the_title();
  				
          $link_url = $item['element_link_destination'] !== "course_page" ? 
            lift\continue_url() :
            get_the_permalink();
  				?>
          <?php if( !$link_button || $item['element_link_button_render'] !== 'elementor' ): ?>
  					<div class="<?= $item_classes ?> llms-meta">
  						<a href="<?= $link_url ?>" class="le-course-link-loop-text <?= $link_button ? 'llms-button-primary' : '' ?>">
  							<?php if( $item['link_icon_align'] === 'before' ): ?>
  								<span class="elementor-button-icon elementor-align-icon-left">
                    <?php \Elementor\Icons_Manager::render_icon( $item['link_selected_icon'] ); ?>
                  </span> 
  							<?php endif; ?>
  							<?= $link_text ?>
  							<?php if( $item['link_icon_align'] === 'after' ): ?>
                  <span class="elementor-button-icon elementor-align-icon-right">
  								  <?php \Elementor\Icons_Manager::render_icon( $item['link_selected_icon'] ); ?>
                  </span> 
  							<?php endif; ?>
  						</a>
  					</div>
          <?php elseif( $link_button && $item['element_link_button_render'] === 'elementor' ): ?>
            <div class="<?= $item_classes ?> llms-meta">
              <?= utils\elementor_button([
                'url'         => $link_url,  
                'type'        => $item['item_type_button'],  
                'size'        => $item['item_size_button'],
                'class'       => 'le-course-link-loop-text',  
                'text'        => $link_text,  
                'icon'        => $item['link_selected_icon'],
                'icon_align'  => $item['link_icon_align'] === 'before' ? 'left' : 'right',
              ]) ?>
            </div>
          <?php endif;
  			break;

  			case 'custom': ?>
  				<div class="<?= $item_classes ?> llms-meta">
  				  <span class="le-course-custom-loop-text">
              <?= utils\render_tag($item, 'element_custom_text') ?> 
            </span>
  				</div>
  			<?php break;

  			case 'price':
  				$frequency 	= false;
  				$price 		  = false;

          $plan_id = $item['element_price'] === 'first_plan' ?
            lift\course_plan_id( $post->ID ) :
            lift\course_featured_plan_id( $post->ID );

  				if( $item['element_price'] === 'first_plan' ) {
  					$frequency = lift\course_plan_frequency( $post->ID );
  					$price     = lift\course_plan_price( $post->ID );
  				}
  				else{
  					$frequency = lift\course_featured_plan_frequency( $post->ID );
  					$price     = lift\course_featured_plan_price( $post->ID );
  				}

  				$type 		  = $item['element_price_output'];
  				$frequency 	= in_array( $type, ['frequency_price', 'frequency']) ? $frequency : ''; 
  				$price 		  = in_array( $type, ['frequency_price', 'price']) ? $price : '';

          ?>
  				<div class="<?= $item_classes ?> llms-meta">
  					<div class="le-course-price-loop-text">
              <?php if( lift\is_plan_on_sale( $plan_id ) && $item['element_price_old'] === 'show' && $type !== 'frequency' ): ?>
                <span class="le-course-price-loop-old-amount"><?= lift\plan_price( $plan_id ) ?> </span>
              <?php endif; ?>
  						<span class="le-course-price-loop-amount"><?= $price ?> </span>
  						<span class="le-course-price-loop-frequency"> <?= $frequency ?></span>   
  					</div>
  				</div>
  				<?php
  			break;

  			case 'excerpt': ?>
          <div class="<?= $item_classes ?>">
            <?= lift\course_excerpt( 
              $post->ID, 
              $item['element_excerpt_characters_number'], 
              $item['element_excerpt_more'] ) ?>
          </div>
          <?php
        break;

        case 'taxonomy': 
            $terms = \get_the_terms( $post->ID, $item['taxonomy_name'] ); 
            $taxonomy_class = esc_attr($item['taxonomy_name']); ?>
            <?php if( !empty($terms) ): ?>
              <div class="le-course-taxonomy-loop le-course-<?= $taxonomy_class ?>-loop <?= $item_classes ?>">
                <strong class="le-course-taxonomy-label le-course-<?= $taxonomy_class ?>-label">
                  <?= \get_taxonomy( $item['taxonomy_name'] )->label ?>: 
                </strong>
                <?php foreach( $terms as $key => $term ): ?>
                  <span class="le-course-taxonomy-item le-course-<?= $taxonomy_class ?>-item">
                    <?= $term->name ?><?= count($terms) - 1 !== $key ? ', ' : '' ?>
                  </span>
                <?php endforeach; ?>
              </div>
            <?php endif;
          break;

  			case 'progress': ?>
  				<?php if( !empty(lift\course_progress_bar()) ): ?>

  					<div class="llms-course-progress le-course-progress-loop <?= $item_classes ?>">
  						<div class="llms-progress">
  							<?php if( $item['show_progress_number'] === 'percent' ): ?>
  								<div class="progress__indicator" style="display: initial;">
  									<?= lift\course_progress_percent( $post->ID ) ?>
  								</div>
  							<?php elseif( $item['show_progress_number'] === 'steps' ): ?>
  								<div class="progress__indicator" style="display: initial;">
  									<?= lift\course_lessons_completed_number( $post->ID ) . ' / ' . lift\course_lessons_number( $post->ID ) ?>
  								</div>
  							<?php endif; ?>
  							<?= lift\course_progress_bar( $post->ID ) ?>
  						</div>
  					</div>

  				<?php elseif( $item['progress_show_visitor'] === 'yes' ): ?>

  					<div class="llms-course-progress le-course-progress-loop <?= $item_classes ?>">
  						<div class="llms-progress">
  							<?php if( $item['show_progress_number'] === 'percent' ): ?>
  								<div class="progress__indicator" style="display: initial;">0%</div>
  							<?php elseif( $item['show_progress_number'] === 'steps' ): ?>
  								<div class="progress__indicator" style="display: initial;">
  									<?= lift\course_lessons_completed_number( $post->ID ) . ' / ' . lift\course_lessons_number( $post->ID ) ?>
  								</div>			
  							<?php endif; ?>
  							<div class="llms-progress-bar">
  								<div class="progress-bar-complete" data-progress="0%" style="width:0%"></div>
  							</div>			
  						</div>
  					</div>

  				<?php endif; ?>

  			<?php break; ?>
      
      <?php } ?>

    <?php endforeach; ?>

	</div>
</li>

<?php

// Restore current queried_object
$wp_query->queried_object = $prev;
