<?php

namespace Tangible\LifterElements\Utils;

defined( 'ABSPATH' ) or die();

/**
 * Gets the avatar url.
 *
 * @param      int  $user_id     The identifier
 *
 * @return     string  The avatar url.
 */
function get_avatar_url( int $user_id, array $args ) {

  // Simple Local Avatar is not compatible with get_avatar_url 
  if( !class_exists('Simple_Local_Avatars') ) return \get_avatar_url( $user_id, $args );  
  
  $avatar = \get_avatar( (int) $user_id, $args['size'] );
  if( empty($avatar) ) return '';

  preg_match("/src='(.*?)'/i", $avatar, $matches);

  return isset($matches[1]) ? $matches[1] : '';
}

