<?php

namespace Tangible\LifterElements\Utils;

defined( 'ABSPATH' ) or die();

/**
 * Check if a the class of a given object match a namespace
 * 
 * @param object $object
 * @param string $namespace
 * 
 * @return boolean
 */
function is_namespace_match_object( $object, $namespace ) {
	
	$object = (object) $object; 
	$namespace = (string) $namespace;

	if( empty($object) || empty($namespace) ) return false;

	$class_name = get_class( $object );
	
	// Remove the first letter if namespace beggins with "\"
	if($namespace[0] === "\\") {
		$namespace = substr( $namespace, 1 );
	}

	return $namespace === $class_name; 
}

