<?php 

namespace Tangible\LifterElements\Utils;

defined( 'ABSPATH' ) or die();

/**
 * Gets the taxonomies by post types.
 *
 * @param      string  $post_type  The post type
 *
 * @return     array   The taxonomies by post types.
 */
function get_taxonomies_by_post_types( string $post_type ) {

  if( empty($post_type) ) return [];

  // $taxonomies = \get_taxonomies(['object_type' => $post_type], 'objects');
  $taxonomies = \get_object_taxonomies( $post_type );

  if( empty($taxonomies) ) return [];

  $response = [];

  foreach( $taxonomies as $taxonomy ) {
    $taxonomy = \get_taxonomy( $taxonomy );
    $response[$taxonomy->name] = $taxonomy->label;
  }

  return $response;
}
