<?php

namespace Tangible\LifterElements\Utils;

defined( 'ABSPATH' ) or die();


/**
 * Convert a string in kebabcase to a text with space
 *
 * @param      string   $text
 *
 * @return     string
 */
function kebabcase_to_text( $text ) {
	
  $text = str_replace('-', ' ', ucwords( $text, '-'));

	return $text; 
}


/**
 * Convert snakecase to kebabcase
 *
 * @param      string  $text   The text
 *
 * @return     string  ( description_of_the_return_value )
 */
function snakecase_to_kebabcase( $text ) {
	
  $text = str_replace('_', '-', $text);

  return $text;
} 

