<?php

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;

/**
 * Extend Countdown widget
 */

// Add control drop down value

  add_action('elementor/element/countdown/section_countdown/before_section_end', function($instance, $args) {

    $controls = $instance->get_controls();

    /**
     * Not sure exaclty why it's happenins, but with recent version of elementor it seems that
     * options will be undefined in some cases (maybe when used outside of the builde?)
     */
    if( ! isset($controls['countdown_type']['options']) 
     || ! is_array($controls['countdown_type']['options']) 
    ) $controls['countdown_type']['options'] = [];

    $controls['countdown_type']['options'] += [
      'lesson_drip_date' => __('Lesson Drip Date'),
    ];
    $instance->update_control('countdown_type', $controls['countdown_type']);

    $instance->start_injection( ['type'=>'control', 'at'=>'after', 'of' =>'countdown_type'] );
    $instance->add_control(
      'current_next',
      [
        'label' 	=> __( 'For which lesson', 'lifter-elements' ),
        'type' 		=> \Elementor\Controls_Manager::SELECT,
        'default'	=> 'current',
        'options'	=> [
          'current' => __( 'Current', 'lifter-elements' ),
          'next'		=> __( 'Next', 'lifter-elements' )
        ],
        'condition' => [
          'countdown_type' => 'lesson_drip_date',
        ],
      ]
    );
    $instance->end_injection();
  }, 10,2);

  // Display drip time

  add_filter('elementor/widget/render_content', function($content, $instance) {

    if ($instance->get_name() !== 'countdown') return $content;

    $settings_display = $instance->get_settings_for_display();

    $which_lesson = $settings_display['current_next'];
    if ( !$which_lesson ) return $content;

    $lesson = lift\lesson_lifter();
    if ( !$lesson )return $content;

    $next_lesson =lift\lesson_lifter(  $lesson -> get_next_lesson() );
    if ( !$next_lesson ) return $content;

    $lesson = ( $which_lesson === 'current' ) ? $lesson : $next_lesson;

    $drip_time = lift\lesson_drip_time( $lesson );

    if ( $settings_display['countdown_type'] == 'lesson_drip_date' ) {
      $content = preg_replace( '/data-date="[0-9]+"/i', 'data-date="' . $drip_time . '"', $content );
    }

    return $content;
  }, 10, 2);
