<?php

namespace Tangible\LifterElements\Widgets\Plans;

defined( 'ABSPATH' ) or die();

/**
 * @see https://developers.elementor.com/creating-a-new-widget/
 */
class Checkout extends \Elementor\Widget_Base {


  /**
   * Widget slug
   * 
   * @return string
   */
  public function get_name() {
    return 'le-plan-checkout';
  }


  /**
   * Widget name
   * 
   * @return string
   */
  public function get_title() {
    return __( 'Checkout', 'lifter-elements' );
  }


  /**
   * Class name of an eicon or font-awesome icon
   *
   * @see https://elementor.github.io/elementor-icons/
   * 
   * @return string
   */
  public function get_icon() {
    return "eicon-cart-light";
  }


  /**
   * @see https://developers.elementor.com/widget-categories/
   * 
   * @return array
   */
  public function get_categories() {
    return array( 'lifter-elements' );
  }


  /**
   * @see https://developers.elementor.com/elementor-controls/
   */
  protected function register_controls() {
    
    $this->start_controls_section(
      'content_section',
      [
        'label' => __( 'Content', 'lifter-elements' ),
        'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $this->add_control(
      'cols',
      [
        'label'   => __( 'Number of columns on the checkout screen', 'lifter-elements' ),
        'type'    => \Elementor\Controls_Manager::NUMBER,
        'min'     => 1,
        'step'    => 2,
        'default' => 1
      ]
    );

    $this->end_controls_section();
  }


  /**
   * Front-end render
   * 
   * @return string
   */
  protected function render() {

    $settings = $this->get_settings_for_display();

    $cols = (int) $settings['cols'];

    echo do_shortcode('[lifterlms_checkout  cols="' . $cols . '" ]');
  }


  /**
   * Editor output for generating the live preview
   */
  protected function content_template() {}

}


