<?php

namespace Tangible\LifterElements\Widgets\Users;

defined( 'ABSPATH' ) or die();

use BetterLifter as lift;
use Tangible\LifterElements\Utils as utils;

/**
 * @see https://developers.elementor.com/creating-a-new-widget/
 */
class Courses extends \Elementor\Widget_Base {


  /**
   * Widget slug
   * 
   * @return string
   */
  public function get_name() {
    return 'le-users-courses';
  }


  /**
   * Widget name
   * 
   * @return string
   */
  public function get_title() {
    return __( 'User Courses', 'lifter-elements' );
  }


  /**
   * Class name of an eicon or font-awesome icon
   *
   * @see https://elementor.github.io/elementor-icons/
   * 
   * @return string
   */
  public function get_icon() {
    return "eicon-post-list";
  }


  /**
   * @see https://developers.elementor.com/widget-categories/
   * 
   * @return array
   */
  public function get_categories() {
    return array( 'lifter-elements' );
  }


  /**
   * @see https://developers.elementor.com/elementor-controls/
   */
  protected function register_controls() {
    
    $this->start_controls_section(
      'link_type',
      [
        'label' => __( 'Content', 'lifter-elements' ),
        'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $this->add_control(
      'type',
      [
        'label'   => __( 'Type', 'lifter-elements' ),
        'type'    => \Elementor\Controls_Manager::SELECT,
        'default' => 'full',
        'options' => [
          'full'    => __( 'Display all the courses', 'lifter-elements' ),
          'recent'  => __( 'Display only recent courses', 'lifter-elements' )
        ]
      ]
    );

    $this->end_controls_section();
  }
  

  /**
   * Front-end render
   * 
   * @return string
   */
  protected function render() {
    
    $settings = $this->get_settings_for_display();

    if( $settings['type'] === 'full' ) {
      echo \lifterlms_template_my_courses_loop();
    }
    else if( $settings['type'] === 'recent' ) {
      echo \lifterlms_template_my_courses_loop( null, true );
    }
  }

}


