<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return the form with the hidden  inputs needed form the mark complete lesson
 *  
 * @see /lifterlms/templates/course/complete-lesson-link.php
 *
 * @param      string $button HTML of the button we need to insert in the HTML
 * 
 * @return     string  HTML Form
 */
function mark_complete_form( $button ) {
	
	$lesson = lift\lesson_lifter();
	$student = llms_get_student( get_current_user_id() );

	if( empty($lesson) || !is_object($lesson) ) return '';

	if ( 
		!\llms_is_user_enrolled( \get_current_user_id(), $lesson->get( 'parent_course' ) ) && 
		!\current_user_can( 'edit_post', $lesson->get( 'id' ) ) 
	) return '';

	if( $student->is_complete( $lesson->get( 'id' ), 'lesson' ) ) {
		if( \llms_show_mark_complete_button( $lesson ) ) {
			 if( 'yes' === get_option( 'lifterlms_retake_lessons', 'no' ) || apply_filters( 'lifterlms_retake_lesson_' . $lesson->get( 'parent_course' ), false ) ) : ?>
			 
			 	<form action="" class="llms-incomplete-lesson-form" method="POST" name="mark_incomplete">
			 		<?php do_action( 'lifterlms_before_mark_incomplete_lesson' ); ?>
					<input type="hidden" name="mark-incomplete" value="<?php echo esc_attr( $lesson->get( 'id' ) ); ?>" />
					<input type="hidden" name="action" value="mark_incomplete" />
					<?php wp_nonce_field( 'mark_incomplete' ); ?>
					<?php do_action( 'lifterlms_after_mark_incomplete_lesson' ); ?>
					<?= $button ?>
			 	</form>	

			 <?php endif;
		}
	}
	else if( llms_show_mark_complete_button( $lesson ) && !lift\is_gravity_form_completion( $lesson->get('id') ) ) { ?>
    
		<form action="" class="llms-complete-lesson-form" method="POST" name="mark_complete">
			<?php do_action( 'lifterlms_before_mark_complete_lesson' ); ?>
			<input type="hidden" name="mark-complete" value="<?php echo esc_attr( $lesson->get( 'id' ) ); ?>" />
			<input type="hidden" name="action" value="mark_complete" />
			<?php wp_nonce_field( 'mark_complete' ); ?>
			<?php do_action( 'lifterlms_after_mark_complete_lesson' ); ?>
			<?= $button ?>
		</form>

	<?php }
}
