<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/*
 * /!\ Post Author ID !== LifterLMS Instructor /!\
 * 
 * The post author and the lifterLMS author can be different
 * It is also possible to have multiple LifterLMS course author
 * for a same course 
 */


/**
 * Return the Post Author ID of the course 
 *
 * @param      integer  $post_id  The post identifier
 *
 * @return     int
 */
function course_author_id( $post_id = 0 ) {
  $course = lift\course( $post_id );  
  if( empty($course) ) return '';
  return (int) \get_the_author_meta( 'ID', $course->post_author );
}


/**
 * Return the url of the Post Author Avatar of the course
 *
 * @param      integer  $post_id  The post identifier
 * @param      array    $args     The arguments
 *
 * @return     string   URL
 */
function course_author_avatar( $post_id, $args ) {
  return \get_avatar_url( lift\course_author_id(), $args );
}


/**
 * Return a given meta for the Post Author of the course
 *
 * @param      string   $meta     The meta
 * @param      integer  $post_id  The post identifier
 *
 * @return     string
 */
function course_author_meta( $meta, $post_id = 0 ) {
  $meta = (string) $meta;
  if( empty($meta) ) return '';
  $author_id = lift\course_author_id( $post_id );

  return \get_the_author_meta( $meta, $author_id );
}
