<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/*
 * /!\ Post Author ID !== LifterLMS Instructor /!\
 * 
 * The post author and the lifterLMS author can be different
 * It is also possible to have multiple LifterLMS course author
 * for a same course 
 */

/**
 * Return an array with the basic information of all the instructors of the course
 *
 * @param      integer  $post_id  The post identifier
 *
 * @return     array
 */
function course_instuctors( $post_id = 0 ) {
  $course = lift\course_lifter( $post_id );  
  if( empty($course) ) return '';
  
  $instructors = $course->get_instructors( true );

  /**
   * When no instructor has been set, LifterLMS retrun the post author as the
   * default instructor, in that particular case, there is no name set.
   */
  foreach( $instructors as &$instructor ) {
    if( !isset($instructor['name']) ) {
      $author = get_userdata( $instructor['id'] );
      $instructor['name'] = $author->display_name;
    }
  }

  return !empty($instructors) ? $instructors : array();
}

