<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return an array with the ids of the lessons linked to the course
 * 
 * @see /lifterlms/includes/models/model.llms.course.php
 * 
 * @return array
 */
function course_lessons_ids( $post_id = 0 ) {
  
  $course_id = lift\course_id($post_id);
  
  if( empty($course_id) ) return '';

	$course = new \LLMS_Course( $course_id );
	$lessons = $course->get_lessons( 'ids' );

	return $lessons;
}

/**
 * Return the total number of the lesson that belong to the course
 *  
 * @return integer
 */
function course_lessons_number( $post_id = 0 ) {
  
  $lessons = lift\course_lessons_ids( $post_id );

	return !empty($lessons) ? count($lessons) : 0;
}

/**
 * Return an array with the ids of the lessons linked to the course
 * 
 * @see get_progress() /lifterlms/includes/models/model.llms.student.php
 * 
 * @return int
 */
function course_lessons_completed_number( $post_id = 0, $user_id = 0 ) {
 	
 	$user_id = $user_id === 0 ? \get_current_user_id() : $user_id;
  $lessons = lift\course_lessons_ids( $post_id );

  if( empty($lessons) ) return 0;

  $completed = 0;
  $user = new \LLMS_Student( $user_id );

 	foreach ( $lessons as $lesson ) {
		if( $user->is_complete( $lesson, 'lesson' ) ) {
			$completed++;
		}
	}

	return $completed;
}
