<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return the difficulty of the current course (if any)
 * 
 * @return string 	HTML
 */
function course_difficulty( $post_id = 0 ) {

	$course = course_lifter( $post_id );
	
	if( empty($course) || !is_object($course) ) return '';

	return !empty($course->get_difficulty()) ? $course->get_difficulty() : '';	
}


/**
 * Return the estimated time of the current course (if any)
 * 
 * @return string 	HTML
 */
function course_estimated_time( $post_id = 0 ) {

	$course = course_lifter( $post_id );
	
	if( empty($course) || !is_object($course) ) return '';

	return !empty($course->get( 'length' )) ? $course->get( 'length' ) : '';	
}


/**
 * Return the traks of the current course (if any)
 * 
 * @return string 	HTML
 */
function course_traks( $post_id = 0 ) {

	$course_id = lift\course_id( $post_id );
	
	if( empty($course_id) ) return '';

  return \get_the_term_list( $course_id, 'course_track', '', ', ', '' );  
}


/**
 * Return the categories of the current course (if any)
 * 
 * @return string   HTML
 */
function course_categories( $post_id = 0 ) {

  $course_id = lift\course_id( $post_id );
  
  if( empty($course_id) ) return '';

	return \get_the_term_list( $course_id, 'course_cat', '', ', ', '' );	
}

