<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return the content of the [lifterlms_course_progress] shortcode
 * 
 * @return string 	HTML
 */
function course_progress( $post_id = 0 ) {

	$course_id = (int) lift\course_id( $post_id );

	ob_start();
  echo do_shortcode("[lifterlms_course_continue course_id=" . $course_id . "]");
  $progress = ob_get_clean();

  return $progress;
}


/**
 * Return the progress bar
 * 
 * @see llms_get_progress_bar_html() in lifterlms/includes/llms.template.functions.php 
 * 
 * @return string
 */
function course_progress_bar( $post_id = 0 ) {
	
	$percentage = lift\course_progress_percent( $post_id );

	ob_start(); ?>
    <div class="llms-progress-bar">
      <div class="progress-bar-complete" data-progress="<?= $percentage ?>"  style="width:<?= $percentage ?>"></div>
    </div>
  <?php $content = ob_get_clean();
  	
  return $content;
}


/**
 * Extract the percent number from the course progress shortcode
 * 
 * @return string
 */
function course_progress_percent( $post_id = 0 ) {

	$course_progress = lift\course_progress_percent_int( $post_id );
	
	if( empty($course_progress) ) return '0%';

	$percentage = sprintf( '%s%%', $course_progress );	

  return $percentage;
}


/**
 * Progress number
 * 
 * @return integer
 */
function course_progress_percent_int( $post_id = 0 ) {

	$course = lift\course_lifter( $post_id );
	
	if( empty($course) ) return 0;

	$course_progress = $course->get_percent_complete();	
  $course_progress = round( $course_progress, 2 );
  	
  return (int) $course_progress;
}
