<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * If the gravity form add on for LifterLMS is activated we will
 * not display the mark complete button when there is a gravity form
 * into the lesson content (the gravity form will be used for complete 
 * the lesson) 
 */
function is_gravity_form_completion( $lesson_id = 0 ) {

  $lesson_id = !empty($lesson_id) ? (int) $lesson_id : lift\lesson_id();

  if( empty($lesson_id) ) return false;
  if( !lift\is_extension('gravity-forms') ) return false; 
  
  $gravity_forms = \LLMS_GravityForms()->get_integration();
  return !$gravity_forms->maybe_show_mark_complete( true, lift\lesson_lifter($lesson_id) );
}
