<?php 

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

function woocommerce_plan_price( $id = 0 ) {

  if( empty($id) ) return '';

  $plan = new \LLMS_Access_Plan( $id );
  $price = llms_wc_plan_has_wc_product( $plan );
    
  if( $price === false ) return '';

  $product = wc_get_product( $plan->get( 'wc_pid' ) );
  
  ob_start(); ?>
  <span class="lifterlms-price">
    <span class="llms-price-currency-symbol"><?= lift\currency_symbol() ?></span>
      <?= $product->get_regular_price() ?>
  </span>
  <?php $content = ob_get_clean();
  
  return $content;
}


function woocommerce_plan_price_number( $id = 0 ) {

  if( empty($id) ) return '';

  $plan = new \LLMS_Access_Plan( $id );
  $price = llms_wc_plan_has_wc_product( $plan );
    
  if( $price === false ) return '';

  $product = wc_get_product( $plan->get( 'wc_pid' ) );

  if(lift\woocommerce_is_plan_on_sale( $id )) return $product->get_sale_price();
  
  return $product->get_regular_price(); 
}


function woocommerce_plan_price_sale( $id = 0 ) {

  if( empty($id) ) return '';

  $plan = new \LLMS_Access_Plan( $id );
  $price = \llms_wc_plan_has_wc_product( $plan );
    
  if( $price === false ) return '';

  $product = wc_get_product( $plan->get( 'wc_pid' ) );
  return $product->get_sale_price(); 
}


function woocommerce_is_plan_on_sale( $id = 0 ) {
  
  if( empty($id) ) return '';

  $plan = new \LLMS_Access_Plan( $id );
  $price = llms_wc_plan_has_wc_product( $plan );
    
  if( $price === false ) return false;

  $product = wc_get_product( $plan->get( 'wc_pid' ) );
  return $product->is_on_sale() === true ? true : false; 
}


function woocommerce_plan_frequency( $id = 0 ) {

  if( empty($id) ) return '';

  $plan = new \LLMS_Access_Plan( $id );
  $has_product = llms_wc_plan_has_wc_product( $plan );

  if( $has_product === false ) return '';
  
  $product = wc_get_product( $plan->get( 'wc_pid' ) );

  if( !class_exists('WC_Subscriptions_Product') ) return '';
  
  $period = \WC_Subscriptions_Product::get_period( $product );
  $frequency = (int) \WC_Subscriptions_Product::get_interval( $product );

  // one-time payments don't display anything here unless filtered
  if ( $frequency > 0 ) {
    if ( 1 === $frequency ) {
      $ret = sprintf( _x( 'per %s', 'subscription schedule', 'lifterlms' ), $plan->get_access_period_name( $period, $frequency ) );
    } 
    else {
      $ret = sprintf( _x( 'every %1$d %2$s', 'subscription schedule', 'lifterlms' ), $frequency, $plan->get_access_period_name( $period, $frequency ) );
    }
  }

  return $ret; 
}
