<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return the ID of the membership
 *
 * @param      integer  $post_id  The post identifier
 *
 * @return     integer  ( description_of_the_return_value )
 */
function membership_id( $post_id = 0 ) {

  if( $post_id instanceof WP_Post ) $post_id = $post_id->ID;
  if( empty($post_id) ) $post_id = get_the_id();
  
  return lift\is_membership($post_id) ? $post_id : 0;
}


/**
 * Return the post type slug of the memebership
 *
 * @return     string 
 */
function membership_post_type() {
  return 'llms_membership';
}


/**
 * Determines if membership.
 *
 * @param      integer  $post_id  The post identifier
 *
 * @return     boolean  True if membership, False otherwise.
 */
function is_membership( $post_id = 0 ) {

  if( empty($post_id) ) $post_id = get_the_id();
  
  $post = get_post($post_id);
  
  return !empty($post) && $post->post_type === lift\membership_post_type();
}
