<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return the continue buttonar
 *  
 * @see lifterlms_course_continue_button() in /lifterlms/includes/llms.template.functions.php
 *
 * @param      string  $course_id  (optional) The course identifier
 * 
 * @return string   HTML
 */
function continue_button( $course_id = 0 ) {
  
  $course_id = empty($course_id) ? '' : 'course_id=' . (int) $course_id;

  ob_start();
  echo do_shortcode( "[lifterlms_course_continue_button" . $course_id . "]" );
  $button = ob_get_clean();
  
  return $button;
}


/**
 * Extract the url from the continue button shortcode
 *  
 * @see lifterlms_course_continue_button() in /lifterlms/includes/llms.template.functions.php
 * 
 * @param      string  $course_id  (optional) The course identifier
 * 
 * @return string
 */
function continue_url( $course_id = 0 ) {
    
  $button = lift\continue_button( $course_id );
  
  if( empty($button) ) return '';

  $doc = new \DOMDocument();
  @$doc->loadHTML( $button );
  
  $link_tag = $doc->getElementsByTagName('a')[0];
  
  if( empty($link_tag) ) return ''; 
  
  $url = $link_tag->getAttribute('href');
    
  return $url;
}
