<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;


/**
 * Return true if plan is associate to a membership
 *
 * @param      integer  $id     The identifier
 *
 * @return     boolean
 */
function plan_has_membership( $id = 0 ) {
   
  if( empty($id) ) return false;

  $plan = new \LLMS_Access_Plan( $id );
  $id_membership = $plan->get( 'product_id' );

  return lift\is_membership( $id_membership );
}


/**
 * Return the ID of the membership associated to the plan (if any)
 *
 * @param      integer  $id     The identifier
 * 
 * @return     int | boolean
 */
function plan_membership_id( $id = 0 ) {
  
  if( empty($id) ) return false;
  
  $plan = new \LLMS_Access_Plan( $id );
  $id_membership = $plan->get( 'product_id' );

  return lift\is_membership( $id_membership ) ? (int) $id_membership : false;
}


/**
 * Return the name of the membership associated to the plan (if any)
 *
 * @param      integer  $id     The identifier
 * 
 * @return     string | boolean
 */
function plan_membership_name( $id = 0 ) {
  
  $membership_id = lift\plan_membership_id( $id );

  if( !$membership_id ) return false;
    
  return get_the_title( $membership_id ); 
}
