<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Get the LLMS_Section 
 *
 * @param      integer  $post_id  (optional) The post identifier
 *
 * @return     obj
 */
function section( $post_id = 0 ) {

	$section_id = empty($post_id) ? lift\section_id() : $post_id;
	
	if( empty($section_id) ) return '';

	$section = new \LLMS_Section( $post_id );

	return $section;
}


/**
 * Return the current section ID
 * 
 * 	@return     int
 */
function section_id() {

	$course = new \LLMS_Course( lift\course_id() );
	$student = \llms_get_student();

  $lesson = 'lesson' === get_post_type() ? 
    \llms_get_post( get_the_ID() ) :
    ( $student ? \llms_get_post( $student->get_next_lesson( $course->get('id') ) ) : false );

	$current_section = !empty($lesson) && is_a($lesson, 'LLMS_Post_Model') ? $lesson->get('parent_section') : false;

	return (int) $current_section;
}


/**
 * Return the section title
 *
 * @param      integer  $post_id  (optional) The post identifier
 *
 * @return     string   
 */
function section_title( $post_id = 0 ) {

	$post_id = empty($post_id) ? lift\section_id() : $post_id;

	if( empty($post_id) ) return '';

	$section = lift\section( $post_id );

	if( empty($section) || !is_object($section) ) return '';

	return $section->get( 'title' );
}
