<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Is the user enrolled in the course
 *
 * @param      integer  $post_id  The post identifier
 * @param      integer  $user_id  The user identifier
 *
 * @return     boolean
 */
function user_course_is_enrolled( $post_id = 0, $user_id = 0 ) {
  $course_id  = lift\course_id( $post_id );
  $user_id    = empty($user_id) ? get_current_user_id() : (int) $user_id;
  
  return \llms_is_user_enrolled( $user_id, $course_id );
}

/**
 * /!\ This is not working yet /!\
 * Return the date of the last user activity for a given course
 *
 * @param      boolean  $course_id  The course identifier
 * @param      boolean  $user_id    The user identifier
 *
 * @return     string  
 */
function user_course_last_activity( $course_id = false, $user_id = false ) {

	$course_id = empty($course_id) ? lift\course_id() : (int) $course_id;
	$user_id = empty($user_id) ? get_current_user_id() : (int) $user_id;
	global $wpdb;

	$date =  $wpdb->get_var( $wpdb->prepare( "
		SELECT updated_date
		FROM {$wpdb->prefix}lifterlms_user_postmeta
		WHERE meta_key = '_start_date'
		  AND post_id = %d
		  AND user_id = %d
		",
		$course_id,
		$user_id
	) );

	return !empty($date) ? $date : 'Never';
}


/**
 * Return true if the user has completed a given course
 *
 * @param      integer  $post_id  The post identifier
 * @param      integer  $user_id  The user identifier
 *
 * @return     boolean
 */
function has_complete_course( $post_id = 0, $user_id = 0 ) {
  $course = lift\course_lifter( $post_id );

  if( empty($course) || !is_object($course) ) return false;

  $course_progress = (int) $course->get_percent_complete();
  return $course_progress === 100;
}


/**
 * Return true if the user has completed a given course
 *
 * @param      integer  $post_id  The post identifier
 * @param      integer  $user_id  The user identifier
 *
 * @return     boolean
 */
function has_started_course( $post_id = 0, $user_id = 0 ) {
  $course = lift\course_lifter( $post_id );

  if( empty($course) || !is_object($course) ) return false;

  $course_progress = (int) $course->get_percent_complete();
  return $course_progress !== 0;
}
