<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Return the plugin instance using the right function name according to the version
 * 
 * @return object
 */
function llms() {

  if( version_compare( lift\llms_version(), '4.0.0', '<' ) ) {
    return \LLMS();
  }

  return \llms();
}


/**
 * The version tag can look like this "1.0.0-beta.1", and it will
 * not work when using the version_compare() php function. We need
 * something like this: 1.0.0
 */
function llms_version() {

  if( !defined( 'LLMS_VERSION' ) ) return false;

  if( strpos( LLMS_VERSION, '-' ) !== false ) {
    return substr( LLMS_VERSION, 0, strpos(LLMS_VERSION, "-") );
  }

  return LLMS_VERSION;
}
