<?php

namespace BetterLifter;

defined('ABSPATH') or die();

use BetterLifter as lift;

/**
 * Get plugin settings
 * @return array
 */
function get_settings() {

  static $settings;
  if ($settings) return $settings;

  $settings = [
    'lessons' => apply_filters( 'betterlifter_lesson_settings', [

      // Default lesson settings
      'drip_view_all_lessons' => 'false',
      'drip_view_course_categories' => []
    ])
  ];

  return $settings;
}

/**
 * Get setting for specific settings category
 * @return mixed
 */
function get_setting( $category, $name ) {

  return lift\get_settings()[$category][$name];
}
