<?php

namespace Tangible\ElementLogic;

defined( 'ABSPATH' ) or die();

if( ! class_exists('\Tangible\ElementLogic\Controller') ) {
  require_once __DIR__ . '/Controller.php';
  require_once __DIR__ . '/ConditionalLogic.php';
  require_once __DIR__ . '/control/Control.php';
} 

/**
 * Initializes the given module.
 *
 * @param      instance  $group  The group
 */
if( ! function_exists( '\Tangible\ElementLogic\init' ) ) {
  function init( $group ) {
    if( !empty( Controller::$instance ) ) return;
    new Controller( $group );
  }
}


/**
 * Adds fields to the conditonal logic pannel.
 *
 * @param      array  $fields  The fields
 */
if( ! function_exists( '\Tangible\ElementLogic\add_fields' ) ) {
  function add_fields( $fields ) {
    if( !is_array($fields) || empty($fields) ) return;
    Controller::$instance->state['group']->config['fields'] = array_merge( Controller::$instance->state['group']->config['fields'], $fields );
  }
}


/**
 * Adds callback to the conditional logic pannel.
 *
 * @param      mixed  $callback  The callback
 */
if( ! function_exists( '\Tangible\ElementLogic\add_callback' ) ) {
  function add_callback( $callback ) {
    Controller::$instance->state['group']->config['callbacks'] []= $callback;
  }
}


